/************************************************************************/
/*	FORMATS FOR 2018 N-SSATS PUBLIC USE FILES 						    */
/************************************************************************/


%macro mvallab ;  /* list of missing value labels: used for the variable value labels*/
   .     = "Logical skip"
   .D    = "Don't know"
   .M    = "Missing"
   .N    = "Not applicable"
   .R    = "Refused"
   .X    = "Multiple responses"
   .V    = "Logical skip/Missing/Unknown/Incomplete" 
%mend ;

PROC FORMAT;

VALUE $LST
   'AK'='Alaska'
   'AL'='Alabama'
   'AR'='Arkansas'
   'AZ'='Arizona'
   'CA'='California'
   'CO'='Colorado'
   'CT'='Connecticut'
   'DC'='District of Columbia'
   'DE'='Delaware'
   'FL'='Florida'
   'FM'='Fed States of Micronesia'
   'GA'='Georgia'
   'GU'='Guam'
   'HI'='Hawaii'
   'IA'='Iowa'
   'ID'='Idaho'
   'IL'='Illinois'
   'IN'='Indiana'
   'KS'='Kansas'
   'KY'='Kentucky'
   'LA'='Louisiana'
   'MA'='Massachusetts'
   'MD'='Maryland'
   'ME'='Maine'
   'MI'='Michigan'
   'MN'='Minnesota'
   'MO'='Missouri'
   'MS'='Mississippi'
   'MT'='Montana'
   'NC'='North Carolina'
   'ND'='North Dakota'
   'NE'='Nebraska'
   'NH'='New Hampshire'
   'NJ'='New Jersey'
   'NM'='New Mexico'
   'NV'='Nevada'
   'NY'='New York'
   'OH'='Ohio'
   'OK'='Oklahoma'
   'OR'='Oregon'
   'PA'='Pennsylvania'
   'PR'='Puerto Rico'
   'PW'='Rep of Palau'
   'RI'='Rhode Island'
   'SC'='South Carolina'
   'SD'='South Dakota'
   'TN'='Tennessee'
   'TX'='Texas'
   'UT'='Utah'
   'VA'='Virginia'
   'VI'='Virgin Islands'
   'VT'='Vermont'
   'WA'='Washington'
   'WI'='Wisconsin'
   'WV'='West Virginia'
   'WY'='Wyoming'
   'ZZ'='Other jurisdictions'
   ;
 
VALUE STFIPS
   1='Alabama'
   2='Alaska'
   4='Arizona'
   5='Arkansas'
   6='California'
   8='Colorado'
   9='Connecticut'
   11='District of Columbia'
   10='Delaware'
   12='Florida'
   13='Georgia'
   15='Hawaii'
   16='Idaho'
   17='Illinois'
   18='Indiana'
   19='Iowa'
   20='Kansas'
   21='Kentucky'
   22='Louisiana'
   23='Maine'
   24='Maryland'
   25='Massachusetts'
   26='Michigan'
   27='Minnesota'
   28='Mississippi'
   29='Missouri'
   30='Montana'
   31='Nebraska'
   32='Nevada'
   33='New Hampshire'
   34='New Jersey'
   35='New Mexico'
   36='New York'
   37='North Carolina'
   38='North Dakota'
   39='Ohio'
   40='Oklahoma'
   41='Oregon'
   42='Pennsylvania'
   44='Rhode Island'
   45='South Carolina'
   46='South Dakota'
   47='Tennessee'
   48='Texas'
   49='Utah'
   50='Vermont'
   51='Virginia'
   53='Washington'
   54='West Virginia'
   55='Wisconsin'
   56='Wyoming'
   72='Puerto Rico'
   99='Other jurisdictions'
   ;
 
VALUE YESNO
   0       ="No"
   1       ="Yes"
   .     = "Logical skip"
   .D    = "Don't know"
   .M    = "Missing"
   .R    = "Refused"
   ;
  
VALUE OWN
   1='Private-for-profit organization'
   2='Private non-profit organization'
   3='State government'
   4='Local, county, or community government'
   5='Tribal government'
   6='Federal government'
   %mvallab
   ;

VALUE FED
   1='Dept of Veterans Affairs'
   2='Dept of Defense'
   3='Indian Health Service'
   4='Other'
   %mvallab
   ;
   
VALUE LOCS
   1='General hospital (including VA hospitals)'
   2='Psychiatric hospital'
   3='Other specialty hospital'
   .     = "Logical skip"
   .M    = "Missing"
   ;   

VALUE ASS
   0="0 assessment services offered"
   1="1 assessment service offered"
   2="2 assessment services offered"
   3="3 assessment services offered"
   4="4 assessment services offered"
   5="5 assessment services offered"
   6="6 assessment services offered"
   7="7 assessment services offered"
   %mvallab
   ;
   
VALUE TST
   0="0 testing services offered"
   1="1 testing service offered"
   2="2 testing services offered"
   3="3 testing services offered"
   4="4 testing services offered"
   5="5 testing services offered"
   6="6 testing services offered"
   7="7 testing services offered"
   %mvallab
   ;   

VALUE TRNS
   0="0 transition services offered"
   1="1 transition service offered"
   2="2 transition services offered"
   %mvallab
   ;

VALUE ANC
   0="0 ancillary services offered"
   1="1 ancillary service offered"
   2="2 ancillary services offered"
   3="3 ancillary services offered"
   4="4 ancillary services offered"
   5="5 ancillary services offered"
   6="6 ancillary services offered"
   7="7 ancillary services offered"
   8="8 ancillary services offered"
   9="9 ancillary services offered"
   10="10 ancillary services offered"
   11="11 ancillary services offered"
   12="12 ancillary services offered"
   13="13 ancillary services offered"
   14="14 ancillary services offered"
   15="15 ancillary services offered"
   16="16 ancillary services offered"
   17="17 ancillary services offered"
   18="18 ancillary services offered"
   19="19 ancillary services offered"
   %mvallab
   ;

VALUE OTHS
   0="0 other services offered"
   1="1 other service offered"
   2="2 other services offered"
   3="3 other services offered"
   %mvallab
   ;

VALUE SACNSL
   1='Never'
   2='Rarely'
   3='Sometimes'
   4='Always/often'
   5='Approach unfamiliar'
   .D    = "Don't know"
   .M    = "Missing"
   ;

VALUE LCA
   0       ="Not licensed, certified, or accredited by any of these organizations"
   1       ="Licensed, certified, or accredited by any of these organizations"
   /*-7 /* 999993 * / ="Logical skip/Missing/Unknown/Incomplete"*/
   %mvallab
   ;


RUN;

%MACRO Formatting;

Format 
   STATE $LST.
   DETOX TREATMT HOSPITAL SRVC75 SRVC71 SRVC108 SRVC85 SRVC87 SRVC86 SRVC129 SRVC70 SRVC88 SRVC94 SRVC106 SRVC95
   SRVC130 OTP ONLYOUD OPIOIDMAINT OPIOIDWDRAW OPIOIDDETOX OPIOIDNAL DUI_DWI ONLYDUI SIGNLANG LANG LANG16 LANG16
   LANG2 LANG3 LANG21 LANG4 LANG5 LANG6 LANG7 LANG8 LANG24 LANG9 LANG10 LANG22 LANG25 LANG26 LANG11 LANG19 LANG23
   LANG12 LANG13 LANG14 LANG15 LANG20 LANG17 LANG18 SRVC30 SRVC34 SRVC33 SRVC64 SRVC63 SRVC62 SRVC113 SRVC114
   SRVC115 SRVC61 SRVC31 SRVC32 SRVC116 CTYPE4 CTYPEHI1 CTYPEHI2 CTYPE7 CTYPERC1 CTYPERC3 CTYPERC4 CTYPE1 CTYPE6
   CTYPEML CTYPEOP CTYPE2 CTYPE3 FEESCALE PAYASST EARMARK REVCHK3 REVCHK1 REVCHK8 REVCHK5 REVCHK10 REVCHK15
   REVCHK2 REVCHK17 LOC5 SRVC89 SRVC90 SRVC1 SRVC2 SRVC91 SRVC93 SRVC107 SRVC10 SRVC11 SRVC73 SRVC74 SRVC14
   SRVC15 SRVC16 SRVC37 SRVC27 SRVC49 SRVC96 SRVC97 SRVC50 SRVC36 SRVC38 SRVC39 SRVC52 SRVC98 SRVC24 SRVC104
   SRVC99 SRVC100 SRVC59 SRVC101 SRVC48 SRVC102 SRVC105 SRVC117 SRVC118 SRVC119 LICENSED LICENMH LICENPH LICENHOS
   JCAHO CARF NCQA COA HFAP YESNO.
   OWNERSHP OWN.
   FEDOWN FED.
   LOCS LOCS.
   ASSESSMENT ASS.
   TESTING TST.
   TRANSITION TRNS.
   ANCILLARY ANC.
   OTHER_SRVC OTHS.
   COMPSAT SACNSL.
   LICEN ACCRED LCA.
;
%MEND Formatting;
